﻿using System;

namespace RH.ImportGoogleAnalytics.Analytics
{
	/// <summary>
	/// thx to Jacob Reimers
	/// http://www.reimers.dk/blogs/jacob_reimers_weblog/archive/2009/05/09/added-google-analytics-reader-for-net.aspx
	/// </summary>
	public class CityReport
	{
		public DateTime Date { get; set; }

		private string _Country = string.Empty;

		public CityReport(string date, string country, int count)
		{
			int year = Convert.ToInt32(date.Substring(0, 4));
			int month = Convert.ToInt32(date.Substring(4, 2));
			int day = Convert.ToInt32(date.Substring(6));
			Date = new DateTime(year, month, day);

			Country = country;
			Count = count;
		}

		public string Country
		{
			get { return _Country; }
			set { _Country = value; }
		}

		public int Count { get; set; }
	}
}