﻿using System;
using Microsoft.SharePoint;

namespace RH.ImportGoogleAnalytics
{
	static class Extensions
	{
		internal static bool GetField(this SPFieldCollection fields, string internalFieldName, out SPField field)
		{
			try
			{
				field = fields.GetFieldByInternalName(internalFieldName);
				return true;
			}
			catch (Exception)
			{
				field = null;
				return false;
			}
		}
	}
}
