﻿namespace RH.ImportGoogleAnalytics.Analytics
{
	/// <summary>
	/// thx to Jacob Reimers
	/// http://www.reimers.dk/blogs/jacob_reimers_weblog/archive/2009/05/09/added-google-analytics-reader-for-net.aspx
	/// </summary>
	public enum Dimension
	{
		// ReSharper disable UnusedMember.Global
		Browser = 0,
		BrowserVersion = 1,
		City = 2,
		ConnectionSpeed = 3,
		Continent = 4,
		CountOfVisits = 5,
		Country = 6,
		Date = 7,
		Day = 8,
		DaysSinceLastVisit = 9,
		FlashVersion = 10,
		Hostname = 11,
		Hour = 12,
		JavaEnabled = 13,
		Language = 14,
		Latitude = 15,
		Longitude = 16,
		Month = 17,
		NetworkDomain = 18,
		NetworkLocation = 19,
		PageDepth = 20,
		OperatingSystem = 21,
		OperatingSystemVersion = 22,
		Region = 23,
		ScreenColors = 24,
		ScreenResolution = 25,
		SubContinent = 25,
		UserDefinedValue = 26,
		VisitorType = 26,
		Week = 27,
		Year = 28,
		AdContent = 29,
		AdGroup = 30,
		AdSlot = 31,
		AdSlotPosition = 32,
		Campaign = 33,
		Keyword = 34,
		Medium = 35,
		ReferralPath = 36,
		Source = 37,
		ExitPagePath = 38,
		LandingPagePath = 39,
		PagePath = 40,
		PageTitle = 41,
		Affiliation = 42,
		DaysToTransaction = 43,
		ProductCategory = 44,
		ProductName = 45,
		ProductSku = 46,
		TransactionId = 47,
		SearchCategory = 48,
		SearchDestinationPage = 49,
		SearchKeyword = 50,
		SearchKeywordRefinement = 51,
		SearchStartPage = 52,
		SearchUsed = 53
// ReSharper restore UnusedMember.Global
	}
}