﻿namespace RH.ImportGoogleAnalytics.Analytics
{
	/// <summary>
	/// thx to Jacob Reimers
	/// http://www.reimers.dk/blogs/jacob_reimers_weblog/archive/2009/05/09/added-google-analytics-reader-for-net.aspx
	/// </summary>
	public enum Metric
	{
		// ReSharper disable UnusedMember.Global
		Bounces = 0,
      Entrances = 1,
      Exits = 2,
      NewVisits = 3,
      Pageviews = 4,
      TimeOnPage = 5,
      TimeOnSite = 6,
      Visitors = 7,
      Visits = 8,
      AdCost = 9,
      AdClicks = 10,
      Cpc = 11,
      Cpm = 12,
      Ctr = 13,
      Impressions = 14,
      UniquePageviews = 15,
      ItemQuantity = 16,
      ItemRevenue = 17,
      TransactionRevenue = 18,
      Transactions = 19,
      TransactionShipping = 20,
      TransactionTax = 21,
      UniquePurchases = 22,
      SearchDepth = 23,
      SearchDuration = 24,
      SearchExits = 25,
      SearchRefinements = 26,
      SearchUniques = 27,
      SearchVisits = 28,
      Goal1Completions = 29,
      Goal2Completions = 30,
      Goal3Completions = 31,
      Goal4Completions = 32,
      GoalCompletionsAll = 33,
      Goal1Starts = 34,
      Goal2Starts = 35,
      Goal3Starts = 36,
      Goal4Starts = 37,
      GoalStartsAll = 38,
      Goal1Value = 39,
      Goal2Value = 40,
      Goal3Value = 41,
      Goal4Value = 42,
      GoalValueAll = 43
// ReSharper restore UnusedMember.Global
	}
}